require 'launchy'

module Skypager
  module Cli
    def self.load_commands(from_path=nil)
      from_path ||= Skypager.lib.join("skypager","cli")
      Dir[from_path.join("**/*.rb")].each {|f| require(f) }
    end

    def self.accepts_keys_for(c, *services)
      services.map!(&:to_sym)
    end
  end
end
