class String
  def with_leading_slash
    if match(/^\//)
      self
    else
      "/#{self}"
    end
  end

  def has_leading_slash?
    match(/^\//)
  end

  def without_leading_slash
    if has_leading_slash?
      gsub(/^\//,'')
    else
      self
    end
  end
end

class Hash
  def to_mash
    Hashie::Mash.new(self)
  end
end
